- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# osgSim Namespace Reference

The osgSim is a NodeKit library that extends the core scene graph to support nodes and drawables that specific to the visual simulation, such a navigational light point support and OpenFlight style degrees of freedom transform. More...

## Classes
class | SequenceGroup
| sequence group which can be used to synchronize related blink sequences. More...
class | BlinkSequence
class | ColorRange
| ColorRange is a ScalarsToColors object to define a color spectrum for a scalar range. More...
class | DOFTransform
| DOFTransform - encapsulates Multigen DOF behavior. More...
class | GeographicLocation
| Stores a double precision geographic location, latitude and longitude. More...
class | LightPoint
class | LightPointNode
class | LightPointSystem
class | MultiSwitch
| MultiSwitch is a Group node which allows switching between sets of selected children. More...
class | ScalarBar
| A ScalarBar is an osg::Geode to render a colored bar representing a range of scalars. More...
class | ScalarsToColors
| ScalarsToColors defines the interface to map a scalar value to a color, and provides a default implementation of the mapping functionaltity, with colors ranging from black to white across the min - max scalar range. More...
class | Sector
class | AzimRange
class | ElevationRange
class | AzimSector
class | ElevationSector
class | AzimElevationSector
class | ConeSector
class | DirectionalSector
class | SphereSegment
| A SphereSegment is a Geode to represent an portion of a sphere (potentially the whole sphere). More...
class | VisibilityGroup
## Functions
osg::StateSet * | getSingletonLightPointSystemSet ()

## Detailed Description

The osgSim is a NodeKit library that extends the core scene graph to support nodes and drawables that specific to the visual simulation, such a navigational light point support and OpenFlight style degrees of freedom transform.

## Function Documentation

osg::StateSet* osgSim::getSingletonLightPointSystemSet | ( |  | ) |